### Method

# Gtk CellAreaContext get_preferred_height_for_width

deprecated: 4.10

#### Declaration [src]

    void
    gtk_cell_area_context_get_preferred_height_for_width (
      GtkCellAreaContext* context,
      int width,
      int* minimum_height,
      int* natural_height
    )

#### Description [src]

Gets the accumulative preferred height for `width` for all rows which have been requested for the same said `width` with this context.

After `gtk_cell_area_context_reset()` is called and/or before ever requesting the size of a `GtkCellArea`, the returned values are -1.

Deprecated since: 4.10

This object will be removed in GTK 5

#### Parameters

`width`

  Type: `int`

  A proposed width for allocation.

`minimum_height`

  Type: `int*`

  Location to store the minimum height.

  The argument will be set by the function.
  The argument can be `NULL`.

`natural_height`

  Type: `int*`

  Location to store the natural height.

  The argument will be set by the function.
  The argument can be `NULL`.